Add missing fixture journal_details to JournalsHelperTest

2024-06-06 09:38 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.0.0   

Description

A test failure occurred as follows:

Failure:

JournalsHelperTest#test_journal_thumbnail_attachments_should_be_in_the_same_order_as_the_journal_d

etails [/usr/src/redmine/test/helpers/journals_helper_test.rb:87]:

Expected: 2

  Actual: 3

rails test test/helpers/journals_helper_test.rb:65

I cannot reproduce it because I forgot to seed, but I think the issue is caused by the absence of journal_details in the fixtures,

despite it being used in the test at https://github.com/redmine/redmine/blob/master/test/helpers/journals_helper_test.rb#L87.

The following patch should fix it:

diff --git a/test/helpers/journals_helper_test.rb b/test/helpers/journals_helper_test.rb

index a33313e78..55fb1260a 100644

--- a/test/helpers/journals_helper_test.rb

+++ b/test/helpers/journals_helper_test.rb

@@ -29,7 +29,8 @@ class JournalsHelperTest < Redmine::HelperTest

            :enabled_modules,

            :custom_fields,

            :attachments,

-           :versions

+           :versions,

+           :journal_details

   def test_journal_thumbnail_attachments_should_return_thumbnailable_attachments

     skip unless convert_installed?

Associated revisions

Revision 22874 - 2024-06-12 09:19 - Go MAEDA

Add missing fixture journal_details to JournalsHelperTest (#40801).

Patch by Mizuki ISHIKAWA (@ishikawa999).

History

#1 - 2024-06-06 11:22 - Go MAEDA

- Target version set to 6.0.0

#2 - 2024-06-12 09:20 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r22874. Thank you.
